Bug 24858 - Incorrect labels on wording in ExcludeHolidaysFromMaxPickUpDelay system preference
Summary: Incorrect labels on wording in ExcludeHolidaysFromMaxPickUpDelay system prefe...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 22381
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-12 13:48 UTC by Andrew Fuerste-Henry
Modified: 2020-04-15 22:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay (1.57 KB, patch)
2020-03-12 22:40 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay (1.62 KB, patch)
2020-03-13 08:41 UTC, David Nind
Details | Diff | Splinter Review
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay (1.68 KB, patch)
2020-03-13 10:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-03-12 13:48:56 UTC
The wording of the two options in ExcludeHolidaysFromMaxPickUpDelay is reversed. This error was introduced in bug 22381.

- mark your library closed today and tomorrow
- set ReservesMaxPickUpDelay to 1 day
- set ExcludeHolidaysFromMaxPickUpDelay to "Ignore the calendar"
- place hold, capture hold
- hold expiration date is set to the day after tomorrow (skips closed days)

- Set ExcludeHolidaysFromMaxPickUpDelay to "Use the calendar"
- Place hold, capture hold
- hold expiration date is set to tomorrow (doesn't skip closed days)
Comment 1 Lucas Gass 2020-03-12 22:40:44 UTC
Created attachment 100667 [details] [review]
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay

TO TEST:
- Apply patch
- mark your library closed today and tomorrow
- set ReservesMaxPickUpDelay to 1 day
- set ExcludeHolidaysFromMaxPickUpDelay to "Ignore the calendar"
- place hold, capture hold
- hold expiration date is set to tomorrow (doesn't skip closed days)

- Set ExcludeHolidaysFromMaxPickUpDelay to "Use the calendar"
- Place hold, capture hold
- hold expiration date is set to the day after tomorrow (skips closed days)
Comment 2 David Nind 2020-03-13 08:41:04 UTC
Created attachment 100669 [details] [review]
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay

TO TEST:
- Apply patch
- mark your library closed today and tomorrow
- set ReservesMaxPickUpDelay to 1 day
- set ExcludeHolidaysFromMaxPickUpDelay to "Ignore the calendar"
- place hold, capture hold
- hold expiration date is set to tomorrow (doesn't skip closed days)

- Set ExcludeHolidaysFromMaxPickUpDelay to "Use the calendar"
- Place hold, capture hold
- hold expiration date is set to the day after tomorrow (skips closed days)

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2020-03-13 10:02:58 UTC
Created attachment 100676 [details] [review]
Bug 24858: Correct labels on wording in ExcludeHolidaysFromMaxPickUpDelay

TO TEST:
- Apply patch
- mark your library closed today and tomorrow
- set ReservesMaxPickUpDelay to 1 day
- set ExcludeHolidaysFromMaxPickUpDelay to "Ignore the calendar"
- place hold, capture hold
- hold expiration date is set to tomorrow (doesn't skip closed days)

- Set ExcludeHolidaysFromMaxPickUpDelay to "Use the calendar"
- Place hold, capture hold
- hold expiration date is set to the day after tomorrow (skips closed days)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-03-13 10:03:11 UTC
Thanks!
Comment 5 Martin Renvoize 2020-03-16 11:03:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 17:36:07 UTC
Backported to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-10 16:12:47 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-14 23:53:14 UTC
Dependency not in 18.11.x, not backporting to 18.11.x series
Comment 9 Lucas Gass 2020-04-15 22:58:23 UTC
reverted from 19.05.x, missing dependency that I overlooked